import 'package:equatable/equatable.dart';
import 'module.dart';

enum ModuleStatus { active, inactive, disabled }

extension ModuleStatusExtension on ModuleStatus {
  String get value {
    switch (this) {
      case ModuleStatus.active:
        return 'VISIVEL';
      case ModuleStatus.inactive:
        return 'INVISIVEL';
      case ModuleStatus.disabled:
        return 'DESABILITADO';
    }
  }
}

class License extends Equatable {
  final List<Module> modules;

  const License({required this.modules});

  @override
  List<Object?> get props => [modules];
}
