import 'package:flutter/material.dart';
import 'package:hub/shared/components/molecules/modules/index.dart';

enum DisabledModuleKey implements BaseModule {
  fastPass;

  @override
  IconData get icon => throw UnimplementedError();

  @override
  String get name => throw UnimplementedError();

  @override
  String get route => throw UnimplementedError();

  @override
  String get value {
    switch (this) {
      case DisabledModuleKey.fastPass:
        return 'FRE-HUB-FASTPASS';

      default:
        return '';
    }
  }
}
