import 'package:flutter/material.dart';
import 'package:hub/shared/components/molecules/modules/enums/enum_modules.dart';
import 'package:hub/shared/components/molecules/modules/index.dart';

enum InactiveModuleKey implements BaseModule {
  residents,
  vehicles,
  openedVisits,
  petsHistory,
  aboutProperty;

  @override
  IconData get icon => throw UnimplementedError();

  @override
  String get name => throw UnimplementedError();

  @override
  String get route => throw UnimplementedError();

  @override
  String get value {
    switch (this) {
      case InactiveModuleKey.openedVisits:
        return 'FRE-HUB-OPENED-VISITS';
      case InactiveModuleKey.vehicles:
        return 'FRE-HUB-VEHICLES';
      case InactiveModuleKey.residents:
        return 'FRE-HUB-RESIDENTS';
      case InactiveModuleKey.petsHistory:
        return 'FRE-HUB-PETS-HISTORY';
      case InactiveModuleKey.aboutProperty:
        return 'FRE-HUB-PROPERTY';
      default:
        return '';
    }
  }
}
