import 'package:flutter/material.dart';
import 'package:hub/shared/components/molecules/modules/index.dart';

enum ActiveModuleKey implements BaseModule {
  messages,
  liberations,
  reservations,
  access,
  pets,
  orders,
  completeSchedule,
  providerSchedule,
  deliverySchedule,
  qrCode,
  visitors,
  peopleOnTheProperty,
  settings,
  logout;

  @override
  IconData get icon => throw UnimplementedError();

  @override
  String get name => throw UnimplementedError();

  @override
  String get route => throw UnimplementedError();

  @override
  String get value {
    switch (this) {
      case ActiveModuleKey.messages:
        return 'FRE-HUB-MESSAGES';
      case ActiveModuleKey.liberations:
        return 'FRE-HUB-LIBERATIONS';
      case ActiveModuleKey.reservations:
        return 'FRE-HUB-RESERVATIONS';
      case ActiveModuleKey.access:
        return 'FRE-HUB-ACCESS';
      case ActiveModuleKey.pets:
        return 'FRE-HUB-PETS';
      case ActiveModuleKey.orders:
        return 'FRE-HUB-ORDERS';
      case ActiveModuleKey.completeSchedule:
        return 'FRE-HUB-COMPLETE-SCHEDULE';
      case ActiveModuleKey.providerSchedule:
        return 'FRE-HUB-AGE-PROV-PRESTADOR';
      case ActiveModuleKey.deliverySchedule:
        return 'FRE-HUB-AGE-PROV-DELIVERY';
      case ActiveModuleKey.visitors:
        return 'FRE-HUB-VISITORS';
      case ActiveModuleKey.qrCode:
        return 'FRE-HUB-QRCODE';
      case ActiveModuleKey.peopleOnTheProperty:
        return 'FRE-HUB-PEOPLE';
      default:
        return '';
    }
  }
}
